Subject: CCL: Re[2]: software to convert XYZ format to PDB ?

From: Michel Petitjean <ptitjean|at|itodys.jussieu.fr>
Date: Fri, 2 Jul 2004 09:30:06 +0200 (MEST)

To: chemistry|at|ccl.net
Subject: CCL:software to convert  XYZ format to PDB ?

Konrad Hinsen <hinsen|at|cnrs-orleans.fr> wrote:
> On Jul 1, 2004, at 11:57, Michel Petitjean wrote:
> > Imagine that you are the programmer: how could you know from
> > the atomic symbols and the X,Y,Z coordinates what could be
> > the residue ? The N,CA,C,O coordinates of all residues of
> > all known proteins in the PDB offer quite similar 3D patterns.
>
> If I had to do this (fortunately I don't), I'd first identify the 
> peptide planes as patterns of pairwise distances (they are quite 
> rigid). I'd then identify the sidechains atom by atom starting from the 
> C-alphas, again by distance criteria. Not a trivial task, but not an 
> impossible one either.

Sure... if you have the side chains ! (were not indicated in the example)
It needs other assumptions: true residues, no HETATM, lexicographical
ordering coherent with the PDB conventions...

Michel Petitjean,                     Email: petitjean|at|itodys.jussieu.fr
ITODYS (CNRS, UMR 7086)                      ptitjean|at|ccr.jussieu.fr
1 rue Guy de la Brosse                Phone: +33 (0)1 44 27 48 57
75005 Paris, France.                  FAX  : +33 (0)1 44 27 68 14
http://petitjeanmichel.free.fr/itoweb.petitjean.html